# RemoteFile.RemoteFileInputStream (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.sftp
Class RemoteFile.RemoteFileInputStream

    java.lang.Object
      java.io.InputStream
          net.schmizz.sshj.sftp.RemoteFile.RemoteFileInputStream

All Implemented Interfaces:
  Closeable

Enclosing class:
  RemoteFile

    public class RemoteFile.RemoteFileInputStream

extends InputStream

Constructor Summary
`RemoteFile.RemoteFileInputStream()`
`RemoteFile.RemoteFileInputStream(int fileOffset)`

Method Summary
`void` `mark(int readLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(byte[] into, int off, int len)`
`void` `reset()`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`available, close, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteFile.RemoteFileInputStream

    public RemoteFile.RemoteFileInputStream()

### RemoteFile.RemoteFileInputStream

    public RemoteFile.RemoteFileInputStream(int fileOffset)

Method Detail

### markSupported

    public boolean markSupported()

  Overrides:
    `markSupported` in class `InputStream`

### mark

    public void mark(int readLimit)

  Overrides:
    `mark` in class `InputStream`

### reset

    public void reset()
               throws IOException

  Overrides:
    `reset` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] into,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

Copyright © 2009-2011. All Rights Reserved.